%define with_libnotify 1

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           xchat-gnome
Version:        0.18
Release:        1
Summary:        GNOME front-end to xchat

Group:          Networking/Chat
License:        GPL
URL:            http://%{name}.navi.cx/
Source0:        http://flapjack.navi.cx/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel
BuildRequires:	libsexy-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	gnome-doc-utils
BuildRequires:	dbus-devel

# Leave as conditional until API is more stable.
%if %{with_libnotify}
BuildRequires:	libnotify-devel
%endif

#Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

Requires(pre): GConf
Requires(post): GConf
Requires(post): scrollkeeper
Requires(preun): GConf
Requires(postun): scrollkeeper


%description
xchat-gnome is a new frontend for the popular X-Chat IRC client.  GNOME's
philosophy in terms of user interfaces has been progressing towards
presenting the user with few options, yet sane defaults. While many of the
normal X-Chat options will be preserved inside GConf, only the most
common settings will be included in the main user interface. .


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .config


%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--disable-tcl \
--disable-scrollkeeper \
--disable-schemas-install \
--disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
    	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gnome/gconf/schemas/$i >/dev/null || :
	done
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
for i in $SCHEMAS; do
	gconftool-2 --makefile-install-rule \
		 %{_sysconfdir}/gnome/gconf/schemas/$i > /dev/null || :
done
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gnome/gconf/schemas/$i > /dev/null || :
	done
fi


%postun
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%doc plugins/perl/xchat2-perldocs.html
%{_bindir}/%{name}
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_mandir}/man1/%{name}.1.gz
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/


%changelog
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.18-1
- Version update, change group to Networking/Chat
* Thu Mar 29 2007 Christian Metzen <metzench@ccux-linux.de> 0.16-1
- Initial release